ru.bitel.bgbilling.modules.mps.server.bean

## Class BGMacrosFormat

- java.lang.Object
- - ru.bitel.common.util.MacrosFormat
  - - ru.bitel.bgbilling.modules.mps.server.bean.BGMacrosFormat

-     public class BGMacrosFormat
      extends ru.bitel.common.util.MacrosFormat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGMacrosFormat(java.sql.Connection con, int mid, Contract contract)`
    `BGMacrosFormat(java.sql.Connection con, int mid, int cid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BalanceUtils` | `getBalanceUtils()`
    `Contract` | `getContract(int cid)`
    `ContractManager` | `getContractManager()`
    `ContractParameterManager` | `getContractParameterManager()`
    `protected java.lang.Object` | `invoke(java.lang.String macros, java.lang.Object[] args)`

    - ### Methods inherited from class ru.bitel.common.util.MacrosFormat

      `format, format, format, format, getDouble, getInt, getString, invoke, main, setPattern`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BGMacrosFormat

          public BGMacrosFormat(java.sql.Connection con,
                                int mid,
                                int cid)

    - #### BGMacrosFormat

          public BGMacrosFormat(java.sql.Connection con,
                                int mid,
                                Contract contract)

  - ### Method Detail

    - #### getContractParameterManager

          public ContractParameterManager getContractParameterManager()

    - #### getBalanceUtils

          public BalanceUtils getBalanceUtils()

    - #### getContractManager

          public ContractManager getContractManager()

    - #### getContract

          public Contract getContract(int cid)

    - #### invoke

          protected java.lang.Object invoke(java.lang.String macros,
                                            java.lang.Object[] args)

      Overrides:
        `invoke` in class `ru.bitel.common.util.MacrosFormat`